diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/10_plus/create_after_update_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/10_plus/create_after_update_event_trigger.sql
index 7d9550ce..d8339b88 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/10_plus/create_after_update_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/10_plus/create_after_update_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#"
     AFTER UPDATE OF col2
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/10_plus/create_before_update_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/10_plus/create_before_update_event_trigger.sql
index 42071e8c..2125a2ae 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/10_plus/create_before_update_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/10_plus/create_before_update_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_be4r_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#"
     BEFORE UPDATE OF col1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_after_delete_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_after_delete_event_trigger_with_transition.sql
index 8180195f..ece31b34 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_after_delete_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_after_delete_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_delete_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER DELETE
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_after_insert_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_after_insert_event_trigger_with_transition.sql
index 30d535b6..c42f6d02 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_after_insert_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_after_insert_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_insert_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_after_update_event_trigger_enable_always.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_after_update_event_trigger_enable_always.sql
index fb408501..d5b9767e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_after_update_event_trigger_enable_always.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_after_update_event_trigger_enable_always.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#"
     AFTER UPDATE OF col2
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_before_insert_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_before_insert_event_trigger.sql
index 9ffbce48..b9608008 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_before_insert_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_before_insert_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_test_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#"
     BEFORE INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_before_update_event_trigger_enable_replica.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_before_update_event_trigger_enable_replica.sql
index 400df80e..1aae2013 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_before_update_event_trigger_enable_replica.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/alter_before_update_event_trigger_enable_replica.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_be4r_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#"
     BEFORE UPDATE OF col1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_delete_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_delete_event_trigger.sql
index df82706d..c0c3bbd3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_delete_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_delete_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_delete_events_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_delete_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_delete_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_delete_events_$%{}[]()&*^!@""'`\/#"
     AFTER DELETE
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_delete_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_delete_event_trigger_with_transition.sql
index 08fc2024..92b3b097 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_delete_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_delete_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_delete_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER DELETE
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_insert_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_insert_event_trigger_with_transition.sql
index 81bf82e5..d7d068ee 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_insert_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_insert_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_insert_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_update_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_update_event_trigger.sql
index 3c8beb69..d2894d82 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_update_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_after_update_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#"
     AFTER UPDATE OF col2
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_b4r_update_multiple_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_b4r_update_multiple_event_trigger.sql
index 18d5aede..bf0d6bf5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_b4r_update_multiple_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_b4r_update_multiple_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_b4r_update_mul_events_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_b4r_update_mul_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_b4r_update_mul_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_b4r_update_mul_events_$%{}[]()&*^!@""'`\/#"
     BEFORE INSERT OR UPDATE OF col3
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_before_insert_event_at_statement.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_before_insert_event_at_statement.sql
index 4b20ac92..b5a72504 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_before_insert_event_at_statement.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_before_insert_event_at_statement.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_test_statement_$%{}[]()&*^!@\"'`\\/#"
 
--- DROP TRIGGER "trig_test_statement_$%{}[]()&*^!@\""'`\\/#""" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_test_statement_$%{}[]()&*^!@\""'`\\/#""" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_test_statement_$%{}[]()&*^!@\""'`\\/#"""
     BEFORE INSERT OR DELETE OR TRUNCATE OR UPDATE OF col1, col2, col3
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_before_insert_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_before_insert_event_trigger.sql
index 15bbcd28..0aede597 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_before_insert_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_before_insert_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_test_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#"
     BEFORE INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_before_update_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_before_update_event_trigger.sql
index 85465cd2..ff2a1573 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_before_update_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/11_plus/create_before_update_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_be4r_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#"
     BEFORE UPDATE OF col1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/alter_after_update_event_trigger_enable_always.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/alter_after_update_event_trigger_enable_always.sql
index 81b7420a..0c11eb3e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/alter_after_update_event_trigger_enable_always.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/alter_after_update_event_trigger_enable_always.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#"
     AFTER UPDATE OF col2
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/alter_before_insert_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/alter_before_insert_event_trigger.sql
index cf8ee745..2a5c0b6e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/alter_before_insert_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/alter_before_insert_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_test_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#"
     BEFORE INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/alter_before_update_event_trigger_enable_replica.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/alter_before_update_event_trigger_enable_replica.sql
index 06f8d896..b24753da 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/alter_before_update_event_trigger_enable_replica.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/alter_before_update_event_trigger_enable_replica.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_be4r_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#"
     BEFORE UPDATE OF col1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_after_delete_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_after_delete_event_trigger.sql
index a85a3550..23d22361 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_after_delete_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_after_delete_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_delete_events_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_delete_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_delete_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_delete_events_$%{}[]()&*^!@""'`\/#"
     AFTER DELETE
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_after_insert_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_after_insert_event_trigger_with_transition.sql
index 81bf82e5..d7d068ee 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_after_insert_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_after_insert_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_insert_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_after_update_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_after_update_event_trigger.sql
index 7d9550ce..d8339b88 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_after_update_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_after_update_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#"
     AFTER UPDATE OF col2
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_b4r_update_multiple_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_b4r_update_multiple_event_trigger.sql
index a0f3f8b4..013b45ff 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_b4r_update_multiple_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_b4r_update_multiple_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_b4r_update_mul_events_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_b4r_update_mul_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_b4r_update_mul_events_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_b4r_update_mul_events_$%{}[]()&*^!@""'`\/#"
     BEFORE INSERT OR UPDATE OF col3
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_before_insert_event_at_statement.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_before_insert_event_at_statement.sql
index c0cf9c6a..1a441212 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_before_insert_event_at_statement.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_before_insert_event_at_statement.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_test_statement_$%{}[]()&*^!@\"'`\\/#"
 
--- DROP TRIGGER "trig_test_statement_$%{}[]()&*^!@\""'`\\/#""" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_test_statement_$%{}[]()&*^!@\""'`\\/#""" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_test_statement_$%{}[]()&*^!@\""'`\\/#"""
     BEFORE INSERT OR DELETE OR TRUNCATE OR UPDATE OF col1, col2, col3
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_before_insert_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_before_insert_event_trigger.sql
index 26064949..d0194501 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_before_insert_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_before_insert_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_test_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_test_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_test_$%{}[]()&*^!@""'`\/#"
     BEFORE INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_before_update_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_before_update_event_trigger.sql
index 42071e8c..2125a2ae 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_before_update_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/pg/default/create_before_update_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_be4r_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#"
     BEFORE UPDATE OF col1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_after_delete_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_after_delete_event_trigger_with_transition.sql
index fee4f916..fec89493 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_after_delete_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_after_delete_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_delete_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER DELETE
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_after_insert_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_after_insert_event_trigger_with_transition.sql
index c28c43e0..220bca3d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_after_insert_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_after_insert_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_insert_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_after_update_event_trigger_enable_always.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_after_update_event_trigger_enable_always.sql
index 81b7420a..0c11eb3e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_after_update_event_trigger_enable_always.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_after_update_event_trigger_enable_always.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#"
     AFTER UPDATE OF col2
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_before_update_event_trigger_enable_replica.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_before_update_event_trigger_enable_replica.sql
index 06f8d896..b24753da 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_before_update_event_trigger_enable_replica.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/alter_before_update_event_trigger_enable_replica.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_be4r_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_be4r_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_be4r_update_$%{}[]()&*^!@""'`\/#"
     BEFORE UPDATE OF col1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_after_delete_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_after_delete_event_trigger_with_transition.sql
index 8cb8cd2c..e2846514 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_after_delete_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_after_delete_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_delete_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_delete_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER DELETE
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_after_insert_event_trigger_with_transition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_after_insert_event_trigger_with_transition.sql
index a1fa3c39..c3414c5c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_after_insert_event_trigger_with_transition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_after_insert_event_trigger_with_transition.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_insert_events_with_transition_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE TRIGGER "trig_after_insert_events_with_transition_$%{}[]()&*^!@""'`\/#"
     AFTER INSERT
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_after_update_event_trigger.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_after_update_event_trigger.sql
index 7d9550ce..d8339b88 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_after_update_event_trigger.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/ppas/10_plus/create_after_update_event_trigger.sql
@@ -1,6 +1,6 @@
 -- Trigger: trig_after_update_$%{}[]()&*^!@"'`\/#
 
--- DROP TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
+-- DROP TRIGGER IF EXISTS "trig_after_update_$%{}[]()&*^!@""'`\/#" ON public.tablefortrigger;
 
 CREATE CONSTRAINT TRIGGER "trig_after_update_$%{}[]()&*^!@""'`\/#"
     AFTER UPDATE OF col2
